KDE-BUILD(1)

NAME
kde-build - Updates and recompiles a tree of KDE modules

SYNOPSIS
        kde-build

DESCRIPTION
kde-build has been designed to keep a local copy of several KDE modules up to date and recompile them. Those modules have to be saved in a common directory, e.g. something like

    ~/kde-src/
      |
      +-> kdelibs/
      |
      +-> kdebase/
      |
      \-> kdenetwork/

In this case, the KDE source directory would be ~/kde-src/. The script will take care of compiling them in the correct order, checks for dependencies and resolves them as far as possible.

Please note that, prior to first invocation of the script, the configuration file 'kde-buildrc' has to be modified to reflect the local environment, such as paths etc.

RETURN VALUE
The following error codes are returned by the script.

0 - No error seems to have occured.

1 - The script could not change into the directory of a module.

2 - The script could not open the file 'Makefile.in' of a module.

3 - The configuration of a module failed.

4 - The compilation of a module failed.

5 - The installation of a module failed.

6 - An invalid source directory was specified.

7 - An invalid Qt directory was specified.

11 - The configuration file kde-buildrc couldn't be loaded.

12 - Both CVS_CLEAN and INCREMENTAL_BUILD were set

13 - Both BUILD_CLEAN and INCREMENTAL_BUILD were set

EXAMPLES
        cd ~/scripts/; vi ./kde-buildrc; ./kde-build

BUGS
Probably.

TODO
Add a DIAGNOSIS section to this man page.

AUTHOR
Frerich Raabe <raabe@kde.org>